Блог ОС CloudLinux - бета-версия: обновлена ​​версия mod_lsapi PRO
Блог CloudLinux OS

Beta: обновлен mod_lsapi PRO

mod_lsapi1

Обновленные пакеты mod_lsapi PRO для CloudLinux 6 и 7, а также для Apache 2.4 (CloudLinux 6 и CloudLinux 7) и EasyApache 4 (CloudLinux 6 и 7) доступны для загрузки из нашего тестового репозитория.

Список изменений:

liblsapi-1.1-44

mod_lsapi-1.1-44

ea-apache24-mod_lsapi-1.1-44

httpd24-mod_lsapi-1.1-44

  • MODLS-691: информация о запросе дампа фиксированной упругой APM
  • MODLS-689: добавлена ​​поддержка lsapi_backend_pgrp_max_reqs lsapi_backend_pgrp_max_crashes

Примечания к релизу

Мы добавили две новые опции конфигурации: lsapi_backend_pgrp_max_reqs lsapi_backend_pgrp_max_crashes (MODLS-689).

lsapi_backend_pgrp_max_reqs

  • Синтаксис: lsapi_backend_prgrp_max_reqs [число]
  • По умолчанию: lsapi_backend_max_reqs 0
  • Контекст: httpd.conf, virtualhost
  • Описание: Контролирует, сколько запросов обработает контрольный процесс, прежде чем завершится. Должно быть больше или равно 0. В случае неправильного формата будет использоваться значение по умолчанию. Необязательно, значением по умолчанию является 0, что означает неограниченное количество запросов.

lsapi_backend_pgrp_max_crashes

  • Синтаксис: lsapi_backend_prgrp_max_crashes [число]
  • По умолчанию: lsapi_backend_max_crashes 0
  • Контекст: httpd.conf, virtualhost
  • Описание: Управляет тем, сколько сбоев его рабочих процессов обнаружит контрольный процесс до его завершения. Должно быть больше или равно 0. В случае неправильного формата будет использоваться значение по умолчанию. Необязательно, значением по умолчанию является 0, что означает неограниченное количество сбоев.

Обратите внимание, что эти параметры требуют поддержки на стороне PHP.

Список минимальных версий PHP-пакетов с поддержкой MODLS-689

Пакеты EA-PHP

  • еа-php51-php5.1.6-24.cloudlinux.10
  • еа-php52-php5.2.17-27.cloudlinux.17
  • еа-php53-php5.3.29-29.cloudlinux.10
  • еа-php54-php5.4.45-63.cloudlinux.3
  • еа-php55-php5.5.38-46.cloudlinux.3
  • еа-php56-php5.6.40-8.cloudlinux.3
  • еа-php70-php7.0.33-9.cloudlinux.3
  • еа-php71-php7.1.32-1.cloudlinux.1
  • еа-php72-php7.2.22-1.cloudlinux.1
  • еа-php73-php7.3.9-1.cloudlinux.1

Пакеты ALT-PHP

  • alt-php44-4.4.9-99
  • alt-php51-5.1.6-124
  • alt-php52-5.2.17-155
  • alt-php53-5.3.29-118
  • alt-php54-5.4.45-98
  • alt-php55-5.5.38-79
  • alt-php56-5.6.40-28
  • alt-php70-7.0.33-29
  • alt-php71-7.1.32-2
  • alt-php72-7.2.22-3
  • alt-php73-7.3.9-2

Для установки

Для установки mod_lsapi PRO, Следуй инструкциям здесь.

Для обновления из бета

  • Для EasyApache 4:

    # yum update liblsapi liblsapi-devel ea-apache24-mod_lsapi --enablerepo=cl-ea4-testing --enablerepo=cloudlinux-updates-testing
    # service httpd restart
    
  • Для EasyApache 3 (примечание EA3 EoL), Plesk и без панели управления RPM-платформами:

    # yum update mod_lsapi liblsapi liblsapi-devel --enablerepo=cloudlinux-updates-testing
    # service httpd restart
    
  • Для DirectAdmin:

    # yum update liblsapi liblsapi-devel --enablerepo=cloudlinux-updates-testing
    # cd /usr/local/directadmin/custombuild
    # ./build set cloudlinux_beta yes
    # ./build update
    # ./build mod_lsapi
    
  • Для httpd24:

    # yum update httpd24-mod_lsapi liblsapi liblsapi-devel --enablerepo=cloudlinux-updates-testing
Beta: обновлен MySQL Governor
Beta: обновлен Alt-PHP

Комментарии

Нет комментариев на форуме. Будьте первым, чтобы оставить свой комментарий
Уже зарегистрирован? ВОЙТИ
гость
Понедельник, 21 октября 2019

Защитный код изображение